<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwConfigs: Message and Command Conversion Config Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwConversionConfig.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      <p>This panel is used to set up the message or command conversion configuration
        for one or many data point elements. If the panel is used for just one
        data
        point
        element at a time, the panel shows the
        current conversion configuration of the data point element when loaded.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><p>The panel can run in one of two modes. It can be used
          either to configure message conversion or command conversion. The title
          at the top left  indicates which conversion is being configured.</p>
        <p>When configuring the conversion for a data point element
          (or elements) you should first check the &quot;Conversion ON/OFF&quot; check
          box. Then the conversion options will appear.</p>        <p>Next, choose the conversion type that you require - you can choose
          either &quot;Polynomial&quot; or &quot;Base Curve&quot; conversion</p>
        <p>For <strong>polynomial</strong> conversion, you need to choose the order
          of the polynomial you want to specify. Then you can fill in the text
          fields to describe
          the polynomial - where a is the 0th order, b is the 1st order etc.</p>
        <p>For <strong>base curve</strong> conversion, you need to choose the
          number of points you will use the specify the base curve. Then you
          can fill
          in the text
          fields to describe the base curve - where x1 and y1 give the first
          point, x2 and y2 give the second point etc.</p>
        <p>Once this is done, press
            OK or Apply to save the configuration.</p>        <p>To delete the
              conversion configuration on the data point element(s), uncheck
              the &quot;Conversion ON/OFF&quot; check box and then press
          either OK or Apply.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2"><p>The only conversion methods supported are polynomial
          and base curve. These methods are only available for certain types
          of data point element. For example, no conversion methods are supported
          for boolean data point elements..</p>
        <p>If you load the panel for a collection of data point elements, the
          panel will show only the conversion options that can be applied to
          all the current elements. So, for example, if the panel is used to
          configure
          a float element and a boolean element, the conversion
          will not be able to be configured because the boolean data point element
          does not support it. You can press the
          &quot;Select Elements&quot; buttons to choose which data point elements
          to configure from the list that was passed to the panel.</p>
        <p>The panel can only read and write to conversion configs of data point
          elements if the relevant peripheral address driver number is running.
          If no
          peripheral
          address
          for a data point element is defined, then the SIM manager -num 1 must
          be running (this is running by default in a new PVSS project). If a
          data
          point
          element
          is configured
          with a peripheral address that has a driver number, say 7. Then a driver
          or SIM manager -num 7 must be running in order to access the conversion
        configuration.</p></td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table width="647" height="443" border="0" align="center">
  <tbody>
    <tr>
      <td>
        <div align="center"><img
 src="fwConversionConfig-Polynomial.jpg" alt="Panel screenshot" width="646" height="442" style="width: 646px; height: 442px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table width="647" height="443" border="0" align="center">
  <tbody>
    <tr>
      <td>
        <div align="center"><img
 src="fwConversionConfig-BaseCurve.jpg" alt="Panel screenshot" width="646" height="442" style="width: 646px; height: 442px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td>$sDpe</td>
      <td><p>The name of the data point element(s) to configure.</p>
        <p>If you wish to use the panel for multiple data point elements, you
          should pass a list in the same format as the PVSS dyn_string, i.e.dpe1
          | dpe2 | dpe3<br>
        </p></td>
      <td>Required</td>
    </tr>
    <tr>
      <td>$configType</td>
      <td><p>The type of conversion you wish to configure. The following values
          are allowed (case sensitive):</p>
        <p>msg - for configuring message conversion<br>
        msg_conv - for configuring message conversion</p>
        <p>cmd - for configuring message conversion<br>
        cmd_conv - for configuring message conversion<br>
        </p>
      </td>
      <td>Required</td>
    </tr>
    <tr>
      <td>$bHierarchyBrowser</td>
      <td><p>Controls the position and visibility of the OK, Apply and Cancel
          buttons.</p>
      <p>TRUE - Shows Apply button only.<br>
      FALSE - Shows OK, Apply and Cancel button.</p></td>
      <td>Required<br>
      </td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
